List all Locations
Returns a list of Location objects specified by a warehouse id path parameter.
Authorizations
Query Parameters
Specify additional fields of the Location object to be included in the response.
basic, all, label, priority, qty_on_hand, qty_putaway, qty_unreserved, qty_reserved, qty_locked, is_temp, is_pickable, is_type_auto, created_at, updated_at, last_cyclecount_at, tags, lot, product, rack, slot_type Specify additional fields of the Lot object to be included in the response.
basic, all, id, lot_number, origination_date, expiration_date, is_expired, is_active, lot_number_input, expiration_input, sort_value, days_until_expiration, sort_direction, group_value, created_at, updated_at, created_by, lot_type, product Specify additional fields of the LotType object (via Lot) to be included in the response. See the selecting fields page for more information.
Specify additional fields of the LotType object to be included in the response.
basic, all, allow_mixing_locations, allow_mixing_fulfillment, lot_number_example, lot_number_replacement, expiration_date_pattern, expiration_date_delta, created_at, updated_at Specify additional fields of the Product object (via Lot) to be included in the response. See the selecting fields page for more information.
Specify additional fields of the Product or Packaging* object to be included in the response.
basic, all, created_at, updated_at, container_options, supplies_options, data_collection_options, instruction_options, infill_options, vendor_sku, manufacturer_part_number, unit_level, external_id, barcodes, goods_type, is_available, is_visible, weight, dimensions, volume, inventory, export, regulated_goods, packaging, custom_fields Specify additional fields of the Product or Packaging* object to be included in the response.
basic, all, created_at, updated_at, container_options, supplies_options, data_collection_options, instruction_options, infill_options, vendor_sku, manufacturer_part_number, unit_level, external_id, barcodes, goods_type, is_available, is_visible, weight, dimensions, volume, inventory, export, regulated_goods, packaging, custom_fields Specify additional fields of the Merchant object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, status, created_at, updated_at, brands, default_brand, custom_fields Specify additional fields of the RackType object (via Rack) to be included in the response. See the selecting fields page for more information.
Specify additional fields of the RackType object to be included in the response.
basic, all, id, name, notes Specify additional fields of the Warehouse object (via Rack) to be included in the response. See the selecting fields page for more information.
Specify additional fields of the Warehouse object to be included in the response.
basic, all, id, name, is_active, abbreviation Using the filtering syntax, you may filter the results using the following fields:
idlabelcreated_atupdated_atqty_putawayqty_unreservedqty_reserved
If specified as 1, the meta.count property of the response will be present and populated with the total count of items
matching the query before any paging is applied. This is not included by default to improve performance in some edge
cases and is not required to perform paging using the next property of the response.
See paging parameters for more information.
0 <= x <= 1A cursor for use in pagination which defines the end of the next page of results, non-inclusive.
For collections sorted by id this is the last id. For other sort orders use the
opaque cursor provided by the previous link and meta.cursor_end of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
A cursor for use in pagination which defines the start of the next page of results.
For collections sorted by id this is the starting id. For other sort orders use the
opaque cursor provided by the next link and meta.cursor_start of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
Response
A dictionary with a collection property that contains a list of up to
limit Location objects matching the query.
Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.